Summary: Includes inetd and ping networking programs
Name: netkit-base
Version: 0.10
Release: 2
Copyright: BSD
Group: Networking
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/netkit-base-0.10.tar.gz
Source1: inetd.conf.default
Source2: inet.init
Patch0: netkit-base-0.10-misc.patch
Provides: inetd

%changelog

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>

- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet

%description
This package provides the ping and inetd programs, which are both used for
basic networking.

%prep
%setup -n netkit-base-0.10
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install
install -o 0 -g 0 -m 644 $RPM_SOURCE_DIR/inetd.conf.default /etc/inetd.conf
install -o 0 -g 0 -m 755 $RPM_SOURCE_DIR/inet.init /etc/rc.d/init.d/inet

ln -fs ../init.d/inet /etc/rc.d/rc0.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc1.d/K50inet
ln -fs ../init.d/inet /etc/rc.d/rc2.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc3.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc5.d/S50inet
ln -fs ../init.d/inet /etc/rc.d/rc6.d/K50inet

%files
/bin/ping
/etc/inetd.conf
/etc/rc.d/init.d/inet
/etc/rc.d/rc0.d/K50inet
/etc/rc.d/rc1.d/K50inet
/etc/rc.d/rc2.d/S50inet
/etc/rc.d/rc3.d/S50inet
/etc/rc.d/rc5.d/S50inet
/etc/rc.d/rc6.d/K50inet
/usr/man/man8/inetd.8
/usr/man/man8/ping.8
/usr/sbin/inetd
